#include <iostream>

using namespace std;

void unesiBrojDruzeljubivostiUcenika(int, int[]);
void unesiBrojParovaPoznanika(int, int[][2]);
int izracunajSrecuUcenika(int, int, int[], int[][2]);

int main()
{
    int n,m;

    cin >> n >> m;
    int druzeljubivost[n];
    int paroviPoznanika[m][2];



    unesiBrojDruzeljubivostiUcenika(n, druzeljubivost);
    unesiBrojParovaPoznanika(m, paroviPoznanika);


    cout << izracunajSrecuUcenika(n, m, druzeljubivost, paroviPoznanika);




    return 0;
}

void unesiBrojDruzeljubivostiUcenika(int n, int druzeljubivost[])
{
    for (int i=0; i<n; ++i)
    {
        cin >> druzeljubivost[i];
    }
}

void unesiBrojParovaPoznanika(int m, int paroviPoznanika[][2])
{
    for (int i=0; i<m; ++i)
    {
        for (int j=0; j<2; ++j)
        {
            cin >> paroviPoznanika[i][j];
        }
    }

}

int izracunajSrecuUcenika(int n, int m, int druzeljubivost[], int paroviPoznanika[][2])
{
    int sreca = 0;
    int j = 0;

    for (int i=0; i<m; ++i)
    {

        if (druzeljubivost[paroviPoznanika[i][j]-1] < 0 && druzeljubivost[paroviPoznanika[i][j+1]-1] > 0)
        {
            if (abs(druzeljubivost[paroviPoznanika[i][j]-1]) > abs(druzeljubivost[paroviPoznanika[i][j+1]-1]))
            {
                sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (-1);
                sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (-1);
            }
            else
            {
                sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (1);
                sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (1);
            }
        }
        else if (druzeljubivost[paroviPoznanika[i][j]-1] > 0 && druzeljubivost[paroviPoznanika[i][j+1]-1] < 0)
        {
            if (abs(druzeljubivost[paroviPoznanika[i][j]-1]) < abs(druzeljubivost[paroviPoznanika[i][j+1]-1]))
            {
                sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (-1);
                sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (-1);
            }
            else
            {
                sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (1);
                sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (1);
            }
        }
        else if (druzeljubivost[paroviPoznanika[i][j]-1] < 0 && druzeljubivost[paroviPoznanika[i][j+1]-1] < 0)
        {
            sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (-1);
            sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (-1);
        }
        else if (druzeljubivost[paroviPoznanika[i][j]-1] > 0 && druzeljubivost[paroviPoznanika[i][j+1]-1] > 0)
        {
            sreca += druzeljubivost[paroviPoznanika[i][j]-1] * (1);
            sreca += druzeljubivost[paroviPoznanika[i][j+1]-1] * (1);
        }

    }
    return sreca;
}